VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Content::LocalLibrary Class Reference
Inheritance diagram for Com::Vmware::Content::LocalLibrary:

## Avaliable Methods
public method | create ()
public method | get ()
public method | delete ()
public method | new ()
public method | update ()
public method | list ()

## Detailed Description

The `Com::Vmware::Content::LocalLibrary` interface manages local libraries.

The `Com::Vmware::Content::LocalLibrary` interface provides support for creating and maintaining local library instances. A local library may also use the class Com::Vmware::Content::Library interface to manage general library functionality.

## Member Function Documentation

public method Com::Vmware::Content::LocalLibrary::create | ( |  | ) |

Creates a new local library.

Parameters

  client_token | [OPTIONAL] A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent. . The value must be String or None.
  create_spec | [REQUIRED] Specification for the new local library. . The value must be Com::Vmware::Content::LibraryModel.

Return values

  Identifier | of the newly created class Com::Vmware::Content::LibraryModel . The value will be an identifier for the resource type getQualifiedName(com.vmware.content.Library). The return type will be str

Exceptions

  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the `create_spec` is not valid.
  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the `client_token` does not conform to the UUID format.
  Com::Vmware::Vapi::Std::Errors::Unsupported | if using multiple storage backings.

Code:
click to view
# Number of lines of code in create: 11
sub create {
my ($self, %args) = @_;
my $client_token = $args {client_token};
my $create_spec = $args {create_spec};
$self->validate_args (method_name => 'create',
method_args => \%args);
return $self->invoke (method_name => 'create',
method_args => \%args);
}

public method Com::Vmware::Content::LocalLibrary::delete | ( |  | ) |

Deletes the specified local library.

Deleting a local library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Parameters

  library_id | [REQUIRED] Identifier of the local library to delete. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.Library). . The value must be str.

Exceptions

  Com::Vmware::Vapi::Std::Errors::InvalidElementType | if the library specified by `library_id` is not a local library.
  Com::Vmware::Vapi::Std::Errors::NotFound | if the library specified by `library_id` does not exist.

Code:
click to view
# Number of lines of code in delete: 10
sub delete {
my ($self, %args) = @_;
my $library_id = $args {library_id};
$self->validate_args (method_name => 'delete',
method_args => \%args);
return $self->invoke (method_name => 'delete',
method_args => \%args);
}

public method Com::Vmware::Content::LocalLibrary::get | ( |  | ) |

Returns a given local library.

Parameters

  library_id | [REQUIRED] Identifier of the local library to return. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.Library). . The value must be str.

Return values

  The | class Com::Vmware::Content::LibraryModel instance associated with `library_id` . The return type will be Com::Vmware::Content::LibraryModel

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the library specified by `library_id` does not exist.
  Com::Vmware::Vapi::Std::Errors::InvalidElementType | if the library specified by `library_id` is not a local library.

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $library_id = $args {library_id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Content::LocalLibrary::list | ( |  | ) |

Returns the identifiers of all local libraries in the Content Library.

Return values

  The | list of identifiers of all local libraries in the Content Library. The value will be an identifier for the resource type getQualifiedName(com.vmware.content.Library). The return type will be Array of str

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Content::LocalLibrary::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Content::LocalLibrary::update | ( |  | ) |

Updates the properties of a local library.

This is an incremental update to the local library. Fields that are null in the update specification will be left unchanged.

Parameters

  library_id | [REQUIRED] Identifier of the local library to update. The value must be an identifier for the resource type getQualifiedName(com.vmware.content.Library). . The value must be str.
  update_spec | [REQUIRED] Specification of the new property values to set on the local library. . The value must be Com::Vmware::Content::LibraryModel.

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | if the library specified by `library_id` does not exist.
  Com::Vmware::Vapi::Std::Errors::InvalidElementType | if the library specified by `library_id` is not a local library.
  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the `update_spec` is not valid.
  Com::Vmware::Vapi::Std::Errors::InvalidArgument | if the :attr:`Com::Vmware::Content::LibraryModel.version` of `update_spec` is not equal to the current version of the library.

Code:
click to view
# Number of lines of code in update: 11
sub update {
my ($self, %args) = @_;
my $library_id = $args {library_id};
my $update_spec = $args {update_spec};
$self->validate_args (method_name => 'update',
method_args => \%args);
return $self->invoke (method_name => 'update',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Content/LocalLibrary.pm